You are not logged in.

#1 2023-05-12 01:15:00

Jotunn
Member
Registered: 2023-04-29
Posts: 66

[SOLVED] Error installing yay

I have git and successfully cloned https://aur.archlinux.org/yay.git

I adjusted permissions for the file so everyone has RWX

I tried to install with makepkg -si and got the following output:

$ makepkg -si
==> Making package: yay 12.0.4-1 (Thu 11 May 2023 09:06:38 PM EDT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading yay-12.0.4.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  446k  100  446k    0     0  1098k      0 --:--:-- --:--:-- --:--:-- 3331k
==> Validating source files with sha256sums...
    yay-12.0.4.tar.gz ... Passed
==> Extracting sources...
  -> Extracting yay-12.0.4.tar.gz with bsdtar
==> Starting build()...
go build -trimpath -mod=readonly -modcacherw  -ldflags '-X "main.yayVersion=12.0.4" -X "main.localePath=/usr/share/locale/" -linkmode=external' -buildmode=pie -o yay
go: downloading github.com/Jguer/aur v1.2.3
go: downloading github.com/Jguer/votar v1.0.0
go: downloading github.com/Jguer/go-alpm/v2 v2.2.0
go: downloading github.com/Morganamilo/go-srcinfo v1.0.0
go: downloading github.com/deckarep/golang-set/v2 v2.2.0
go: downloading github.com/leonelquinteros/gotext v1.5.2
go: downloading github.com/pkg/errors v0.9.1
go: downloading github.com/Morganamilo/go-pacmanconf v0.0.0-20210502114700-cff030e927a5
go: downloading golang.org/x/term v0.6.0
go: downloading github.com/adrg/strutil v0.3.0
go: downloading github.com/hashicorp/go-multierror v1.1.1
go: downloading golang.org/x/sys v0.6.0
go: downloading github.com/hashicorp/errwrap v1.1.0
go: downloading github.com/ohler55/ojg v1.17.5
go: downloading github.com/itchyny/gojq v0.12.12
go: downloading github.com/mitchellh/mapstructure v1.5.0
go: downloading golang.org/x/text v0.8.0
go: downloading github.com/itchyny/timefmt-go v0.1.5
error obtaining VCS status: exit status 128
        Use -buildvcs=false to disable VCS stamping.
make: *** [Makefile:113: yay] Error 1
==> ERROR: A failure occurred in build().
    Aborting...

Last edited by Jotunn (2023-05-12 14:14:11)

Offline

#2 2023-05-12 04:40:44

ajgringo619
Member
Registered: 2023-05-06
Posts: 15

Re: [SOLVED] Error installing yay

Try this one instead: https://aur.archlinux.org/yay-bin.git. Compiling is already done for you.

Offline

#3 2023-05-12 05:52:28

seth
Member
Registered: 2012-09-03
Posts: 50,864

Re: [SOLVED] Error installing yay

How about "don't use yay at all" if we're going for alternatives?

You're trying to install a pacman wrapper that you're frequently gonna run as root, it starts w/ the great indicator of a build failure and the "solution" is to install the precompiled version. Think about that. No, really. In doubt twice.


@Jotunn, are you running makepkg as root or did you try before?
For what file did you adjust permissions and who's the owner?

find . '!' -user $USER

Online

#4 2023-05-12 08:03:25

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 11,831
Website

Re: [SOLVED] Error installing yay

Mod note: moving to AUR Issues.


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Online

#5 2023-05-12 13:44:07

Jotunn
Member
Registered: 2023-04-29
Posts: 66

Re: [SOLVED] Error installing yay

seth wrote:

How about "don't use yay at all" if we're going for alternatives?

You're trying to install a pacman wrapper that you're frequently gonna run as root, it starts w/ the great indicator of a build failure and the "solution" is to install the precompiled version. Think about that. No, really. In doubt twice.


@Jotunn, are you running makepkg as root or did you try before?
For what file did you adjust permissions and who's the owner?

find . '!' -user $USER

I am not running makepkg as root. I tried once and the system told me that command could not be run as root. My solution to this was to change the permissions for the yay directory that was created by the git clone. Then I was able to run makepkg in that directory without being root. The owner of this directory is root.

As far as not using yay at all, I don't intend to use an AUR helper long-term but I am still vary much a beginner. My end goal here is to install openrazer so I can get key-mapping functionality back on some of my peripheral devices. Once I get that basic functionality going, I don't really intend to do much with the AUR at all, until I have both a better understanding of what I am doing, and the time to learn how to build packages manually.

Last edited by Jotunn (2023-05-12 13:53:44)

Offline

#6 2023-05-12 13:52:17

loqs
Member
Registered: 2014-03-06
Posts: 17,304

Re: [SOLVED] Error installing yay

You ran `git clone https://aur.archlinux.org/yay.git` as root because the directory you were performing the clone in is owned root:root?

Offline

#7 2023-05-12 13:55:24

Jotunn
Member
Registered: 2023-04-29
Posts: 66

Re: [SOLVED] Error installing yay

loqs wrote:

You ran `git clone https://aur.archlinux.org/yay.git` as root because the directory you were performing the clone in is owned root:root?

I ran the git clone as root because I thought I needed to? I guess that doesn't make much sense now that I think about it.

Offline

#8 2023-05-12 14:13:46

Jotunn
Member
Registered: 2023-04-29
Posts: 66

Re: [SOLVED] Error installing yay

ajgringo619 wrote:

Try this one instead: https://aur.archlinux.org/yay-bin.git. Compiling is already done for you.

This worked. Thank you everyone!

Offline

#9 2023-05-12 14:24:31

seth
Member
Registered: 2012-09-03
Posts: 50,864

Re: [SOLVED] Error installing yay

I guess that doesn't make much sense now that I think about it.

No, and it's the cause for your problems.
You're supposed to understand how to use the AUR before (iff at all) using any helpers, https://wiki.archlinux.org/title/Arch_User_Repository


Also notice that jguer maintains both packages and the build failure is an error on your side, so the yay binary release isn't somehow shady.

But in a different setup the build failure might not have been your fault and you'd now be running a binary release, where you don't know where it's coming from, of sub-par software, that won't even build w/ public makefiles, frequently as root.
The sentiment is dangerous and you don't want to turn this into a habit. If you've read the wiki, you know that the AUR is completely unvetted.

Online

#10 2023-05-12 15:12:58

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 29,508
Website

Re: [SOLVED] Error installing yay

Jotunn wrote:

As far as not using yay at all, I don't intend to use an AUR helper long-term but I am still vary much a beginner. My end goal here is to install openrazer ...

And why did you not just clone and makepkg for openrazer?  Adding yay does absolutely nothing to "help" you - it just adds extra steps.

AUR helpers might help people who use a lot of AUR packages - but if you want just one, there is no possible way yay could be of any help, but many ways in which it could be a hinderance.  Get rid of it.  Just install openrazer itself.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

Board footer

Powered by FluxBB